Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Class AbstractDocument.DefaultDocumentEvent

    java.lang.Object
      |
      +--javax.swing.undo.AbstractUndoableEdit
            |
            +--javax.swing.undo.CompoundEdit
                  |
                  +--javax.swing.text.AbstractDocument.DefaultDocumentEvent

public class AbstractDocument.DefaultDocumentEvent
extends CompoundEdit
implements DocumentEvent

Stores document changes as the document is being modified. Can subsequently be used for change notification when done with the document modification transaction. This is used by the AbstractDocument class and its extensions for broadcasting change information to the document listeners.

See Also:
  Serialized Form

Fields inherited from class javax.swing.undo.CompoundEdit
`edits`

Fields inherited from class javax.swing.undo.AbstractUndoableEdit
`RedoName, UndoName`

Constructor Summary
`AbstractDocument.DefaultDocumentEvent(int offs, int len, DocumentEvent.EventType type)` Constructs a change record.

Method Summary
`boolean` | `addEdit(UndoableEdit anEdit)` Adds a document edit.
`DocumentEvent.ElementChange` | `getChange(Element elem)` Gets the changes for an element.
`Document` | `getDocument()` Gets the document that sourced the change event.
`int` | `getLength()` Returns the length of the change.
`int` | `getOffset()` Returns the offset within the document of the start of the change.
`java.lang.String` | `getPresentationName()` Provides a localized, human readable description of this edit suitable for use in, say, a change log.
`java.lang.String` | `getRedoPresentationName()` Provides a localized, human readable description of the redoable form of this edit, e.g.
`DocumentEvent.EventType` | `getType()` Returns the type of event.
`java.lang.String` | `getUndoPresentationName()` Provides a localized, human readable description of the undoable form of this edit, e.g.
`boolean` | `isSignificant()` DefaultDocument events are significant.
`void` | `redo()` Redoes a change.
`java.lang.String` | `toString()` Returns a string description of the change event.
`void` | `undo()` Undoes a change.

Methods inherited from class javax.swing.undo.CompoundEdit
`canRedo, canUndo, die, end, isInProgress, lastEdit`

Methods inherited from class javax.swing.undo.AbstractUndoableEdit
`replaceEdit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractDocument.DefaultDocumentEvent

    public AbstractDocument.DefaultDocumentEvent(int offs,
                                                 int len,
                                                 DocumentEvent.EventType type)

  Constructs a change record.
  Parameters:
    `offs` - the offset into the document of the change >= 0
    `len` - the length of the change >= 0
    `type` - the type of event (DocumentEvent.EventType)

Method Detail

### toString

    public java.lang.String toString()

  Returns a string description of the change event.
  Returns:
    a string
  Overrides:
    toString in class CompoundEdit

### addEdit

    public boolean addEdit(UndoableEdit anEdit)

  Adds a document edit. If the number of edits crosses a threshold, this switches on a hashtable lookup for ElementChange implementations since access of these needs to be relatively quick.
  Parameters:
    `anEdit` - a document edit record
  Returns:
    true if the edit was added
  Overrides:
    addEdit in class CompoundEdit

### redo

    public void redo()
              throws CannotRedoException

  Redoes a change.
  Throws:
    CannotRedoException - if the change cannot be redone
  Overrides:
    redo in class CompoundEdit

### undo

    public void undo()
              throws CannotUndoException

  Undoes a change.
  Throws:
    CannotUndoException - if the change cannot be undone
  Overrides:
    undo in class CompoundEdit

### isSignificant

    public boolean isSignificant()

  DefaultDocument events are significant. If you wish to aggregate DefaultDocumentEvents to present them as a single edit to the user place them into a CompoundEdit.
  Returns:
    whether the event is significant for edit undo purposes
  Overrides:
    isSignificant in class CompoundEdit

### getPresentationName

    public java.lang.String getPresentationName()

  Provides a localized, human readable description of this edit suitable for use in, say, a change log.
  Returns:
    the description
  Overrides:
    getPresentationName in class CompoundEdit

### getUndoPresentationName

    public java.lang.String getUndoPresentationName()

  Provides a localized, human readable description of the undoable form of this edit, e.g. for use as an Undo menu item. Typically derived from getDescription();
  Returns:
    the description
  Overrides:
    getUndoPresentationName in class CompoundEdit

### getRedoPresentationName

    public java.lang.String getRedoPresentationName()

  Provides a localized, human readable description of the redoable form of this edit, e.g. for use as a Redo menu item. Typically derived from getPresentationName();
  Returns:
    the description
  Overrides:
    getRedoPresentationName in class CompoundEdit

### getType

    public DocumentEvent.EventType getType()

  Returns the type of event.
  Specified by:
    getType in interface DocumentEvent
  Returns:
    the event type as a DocumentEvent.EventType
  See Also:
    `DocumentEvent.getType()`

### getOffset

    public int getOffset()

  Returns the offset within the document of the start of the change.
  Specified by:
    getOffset in interface DocumentEvent
  Returns:
    the offset >= 0
  See Also:
    `DocumentEvent.getOffset()`

### getLength

    public int getLength()

  Returns the length of the change.
  Specified by:
    getLength in interface DocumentEvent
  Returns:
    the length >= 0
  See Also:
    `DocumentEvent.getLength()`

### getDocument

    public Document getDocument()

  Gets the document that sourced the change event.
  Specified by:
    getDocument in interface DocumentEvent
  Returns:
    the document
  See Also:
    `DocumentEvent.getDocument()`

### getChange

    public DocumentEvent.ElementChange getChange(Element elem)

  Gets the changes for an element.
  Specified by:
    getChange in interface DocumentEvent
  Parameters:
    `elem` - the element
  Returns:
    the changes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.